Attribute VB_Name = "Generali"
'Segnalibri
Public Bookmarks(0 To 30) As Long
Public BookmarksTitle(0 To 30) As String

'Tabelle dei Romaji, Hiragana e Katakana,
'suoni puri e impuri/semipuri (dakuten/handakuten)
'gli array HiraKataTable e HKDakuHanda contengono soltanto
'i "secondi byte" di ogni carattere.
'Per gli Hiragana il primo byte  sempre "",
'mentre per i Katakana  sempre ""
Public RomajiTable() As Variant
Public RjDakuHanda() As Variant
Public HiraKataTable() As Variant
Public HKDakuHanda() As Variant

'array di stringhe contenente le linee di cui Dark Tabler
'non riconosce la sintassi. Al momento del salvataggio verranno
'poste all'inizio del file.
Public ExtraLines(0 To 30) As String

Public Declare Function InitCommonControls Lib "Comctl32.dll" () As Long

'API per la gestione del men
Public Declare Function SetMenuItemBitmaps Lib "user32" (ByVal hMenu As Long, _
ByVal uPosition As Long, ByVal uFlags As Long, ByVal hBitmapUnchecked _
As Long, ByVal hBitmapChecked As Long) As Long
Public Declare Function GetMenu Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function GetSubMenu Lib "user32" (ByVal hMenu As Long, _
ByVal nPos As Long) As Long
Public Declare Function GetMenuItemID Lib "user32" (ByVal hMenu As Long, _
ByVal nPos As Long) As Long
Public Const MF_BITMAP As Long = &H1


'scrive negli array i caratteri
Public Sub InitArrays()
    RomajiTable = Array("a", "i", "u", "e", "o", "ka", "ki", "ku", "ke", "ko", "sa", _
            "shi", "su", "se", "so", "ta", "chi", "tsu", "te", "to", _
            "na", "ni", "nu", "ne", "no", "ha", "hi", "fu", "he", "ho", _
            "ma", "mi", "mu", "me", "mo", "ya", "yu", "yo", "ra", "ri", "ru", "re", "ro", _
            "wa", "wo", "n")
    RjDakuHanda = Array("ga", "gi", "gu", "ge", "go", "za", "ji", "zu", "ze", "zo", _
            "da", "ji", "zu", "de", "do", "ba", "bi", "bu", "be", "bo", "pa", "pi", _
            "pu", "pe", "po")
    HiraKataTable = Array("", "", "", "", "", "", "", "", "", _
            Chr$(179), "", "", Chr$(185), "", "", "", "", "", "", "", _
            "", "", "", "", "", "", "", "", "", "", "", "", _
            "", "", "", "", "", "", "", "", "", "", "", "", _
            "", "")
    HKDakuHanda = Array("", "", "", "", "", "", "", "", "", "", "", _
            "", "", "", "", "", "", "", "", "", "", "", "", "", "")

End Sub
