VERSION 5.00
Begin VB.Form frmBook 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Gestione Bookmarks"
   ClientHeight    =   2640
   ClientLeft      =   4680
   ClientTop       =   3255
   ClientWidth     =   4455
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2640
   ScaleWidth      =   4455
   ShowInTaskbar   =   0   'False
   Begin VB.Frame Frame1 
      Caption         =   "Lista Bookmarks"
      Height          =   1935
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   4215
      Begin VB.TextBox txtTitle 
         Height          =   285
         Left            =   2160
         TabIndex        =   1
         Top             =   1560
         Width           =   1935
      End
      Begin VB.ListBox lstBook 
         Height          =   1230
         ItemData        =   "frmBook.frx":0000
         Left            =   120
         List            =   "frmBook.frx":0002
         TabIndex        =   7
         Top             =   240
         Width           =   3975
      End
      Begin VB.TextBox txtAddr 
         Height          =   285
         Left            =   240
         TabIndex        =   0
         Top             =   1560
         Width           =   1695
      End
      Begin VB.Label Label1 
         Caption         =   "(                             h)"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   9.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   1560
         Width           =   2055
      End
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&Chiudi"
      Height          =   375
      Left            =   3360
      TabIndex        =   5
      Top             =   2160
      Width           =   975
   End
   Begin VB.CommandButton cmdDel 
      Caption         =   "&Elimina"
      Height          =   375
      Left            =   2280
      TabIndex        =   4
      Top             =   2160
      Width           =   975
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "&Aggiungi"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1200
      TabIndex        =   3
      Top             =   2160
      Width           =   975
   End
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "A&ggiorna"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   2160
      Width           =   975
   End
End
Attribute VB_Name = "frmBook"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdAdd_Click()
    On Error GoTo Errore
    On Error GoTo 0
    On Error Resume Next
    lstBook.AddItem txtTitle.Text
    Bookmarks(lstBook.ListCount - 1) = CLng("&H" + txtAddr.Text)
    If Err.Number = 13 Then
        MsgBox "Si  verificato un errore. Probabilmente l'indirizzo non " + vbNewLine + _
                "espresso in un formato corretto.", vbOKOnly + vbExclamation, "Errore"
        Err.Clear
        Exit Sub
    End If
    BookmarksTitle(lstBook.ListCount - 1) = txtTitle.Text
    frmDarkTabler.SB.Panels(2).Enabled = True
    cmdUpdate.Enabled = True
    cmdDel.Enabled = True
Errore:
End Sub

Private Sub cmdDel_Click()
    With lstBook
        If .ListCount > 1 Then
            .List(.ListIndex) = .List(.ListCount - 1)
            BookmarksTitle(.ListIndex) = BookmarksTitle(.ListCount - 1)
            Bookmarks(.ListIndex) = Bookmarks(.ListCount - 1)
            BookmarksTitle(.ListCount - 1) = ""
            Bookmarks(.ListCount - 1) = 0
            .RemoveItem .ListCount - 1
        Else
            .RemoveItem .ListIndex
            BookmarksTitle(0) = ""
            Bookmarks(0) = 0
            cmdDel.Enabled = False
        End If
    End With
    frmDarkTabler.SB.Panels(2).Enabled = True
End Sub

Private Sub cmdOk_Click()
    Unload Me
End Sub

Private Sub cmdUpdate_Click()
    On Error GoTo Errore
    On Error GoTo 0
    On Error Resume Next
    lstBook.List(lstBook.ListIndex) = txtTitle.Text
    Bookmarks(lstBook.ListIndex) = CLng("&H" + txtAddr.Text)
    If Err.Number = 13 Then
        MsgBox "Si  verificato un errore. Probabilmente l'indirizzo non " + vbNewLine + _
                "espresso in un formato corretto.", vbOKOnly + vbExclamation, "Errore"
        Err.Clear
        Exit Sub
    End If
    BookmarksTitle(lstBook.ListIndex) = txtTitle.Text
    frmDarkTabler.SB.Panels(2).Enabled = True
Errore:
End Sub

Private Sub Form_Load()
    Dim I As Byte
    For I = 0 To UBound(BookmarksTitle)
        If BookmarksTitle(I) <> "" Then
            lstBook.AddItem BookmarksTitle(I)
        End If
    Next I
    If lstBook.ListCount = 0 Then
        cmdUpdate.Enabled = False
        cmdDel.Enabled = False
    End If
End Sub

Private Sub lstBook_Click()
    txtAddr.Text = Hex(Bookmarks(lstBook.ListIndex))
    txtTitle.Text = BookmarksTitle(lstBook.ListIndex)
End Sub

Private Sub txtAddr_Change()
    If txtAddr.Text = "" Then
        cmdAdd.Enabled = False
        cmdUpdate.Enabled = False
    Else
        cmdAdd.Enabled = True
        If lstBook.ListCount > 0 Then cmdUpdate.Enabled = True
    End If
End Sub

Private Sub txtTitle_Change()
    If txtTitle.Text = "" Then
        cmdAdd.Enabled = False
        cmdUpdate.Enabled = False
    Else
        cmdAdd.Enabled = True
        If lstBook.ListCount > 0 Then cmdUpdate.Enabled = True
    End If
End Sub
